# 1. Download factor and sorted portfolio returns
* Source: [Kenneth R. French's data library](https://mba.tuck.dartmouth.edu/pages/faculty/ken.french/data_library.html)
* Specifically, we need Fama/French 5 Factors (2x3), Momentum Factor (Mom) and 25 Portfolios Formed on Size and Book-to-Market (5x5), etc.

# 2. Reproduce the experimental results
## 2-1. Figure 2
Modify `/Config/resid_correlation.json` and run:
<pre><code>python run_prelim_exp_for_resid_corr.py ./Config/resid_correlation.json</code></pre>

## 2-2. Figure 4
Modify `/Config/numerical_performance.json` and run:
<pre><code>python run_convergence_exp.py ./Config/numerical_performance.json</code></pre>


## 2-3. Figure 5
Modify `/Config/monte_carlo_simulation.json` and run:
<pre><code>python run_monte_carlo_simulation.py ./Config/monte_carlo_simulation.json</code></pre>


## 2-4. Figures 6 and 7
Modify `/Config/numerical_performance.json` and run:
<pre><code>python run_convergence_exp_appendix.py ./Config/numerical_performance.json</code></pre>


# 3. Modifying configuration files
Configuration files for 2-1, (2-2 & 2-4) and 2-3, saved in `/Config/`, are `resid_correlation.json`, `numerical_performance.json` and `monte_carlo_simulation.json`, respectively.

If the configuration files are modified, the codes may give us different results than those reported in the paper.
